package com.cool.store.service.config;

import com.cool.store.context.LoginUserInfo;
import com.cool.store.request.config.ConfigItemQueryRequest;
import com.cool.store.request.config.ConfigItemUpdateRequest;
import com.cool.store.vo.config.ConfigItemVO;
import com.github.pagehelper.PageInfo;

import java.util.List;

public interface ConfigItemService {

    Boolean add(ConfigItemUpdateRequest request, LoginUserInfo userInfo);

    Boolean update(ConfigItemUpdateRequest request, LoginUserInfo userInfo);

    PageInfo<ConfigItemVO> queryPage(ConfigItemQueryRequest request);

    List<ConfigItemVO> listByCategoryId(Long categoryId);

    Boolean deleteByIds(List<Long> ids);
}
